public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-middleware/
Date: Tue, 25 Apr 2017 21:06:58 +0000 (UTC)	[thread overview]
Message-ID: <1493154400.a2898725e68135d768dc06490c5887ffbc9e8c7d.prometheanfire@gentoo> (raw)

commit:     a2898725e68135d768dc06490c5887ffbc9e8c7d
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 25 21:01:32 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Apr 25 21:06:40 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2898725

dev-python/oslo-middleware: 3.19.1 bup

Package-Manager: Portage-2.3.3, Repoman-2.3.2

 dev-python/oslo-middleware/Manifest                |  1 +
 .../oslo-middleware/oslo-middleware-3.19.1.ebuild  | 60 ++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/dev-python/oslo-middleware/Manifest b/dev-python/oslo-middleware/Manifest
index 68c923fcb24..dbca57a39e1 100644
--- a/dev-python/oslo-middleware/Manifest
+++ b/dev-python/oslo-middleware/Manifest
@@ -1,3 +1,4 @@
 DIST oslo.middleware-3.19.0.tar.gz 41711 SHA256 f36c37b9d8f4c6eccc494172569184c3f9a4028a6401e8cf75d7656fc7b1d292 SHA512 e347f9f683b8e925286390fc84eb5aebb76b6f490d564f9273b6d53762bbd9f09dab3dc5f740ab4eb0849de00381ad71264b0d8c048629b770b8740243300e50 WHIRLPOOL aa08f79b269cc1dc2c3c54f121e2de783a9f4b13c0fc1d9be492044cd4c34f59a4b2446efab2870d1cfdaa932f41cc5075ee4bd01876edb34d94b35c2d575211
+DIST oslo.middleware-3.19.1.tar.gz 43000 SHA256 a484a27276bb4fd96a21fdaa7d0da0495aa2a2887a88dcec271ffd8b8c239096 SHA512 7d387466cc1352651d81b6f874f18bfb892af8b4187c93131597cfb1e731394654cfd65a17729b22a36bd388b3eee8692936af28786812e50bb2549a76555c96 WHIRLPOOL 6942f7003d6242a12c7cb3ef27331f749244e1fe930e4817804db63c405f9a6c6da3bf07cff2a60b24d38c3aaebf8aac835168ba704c4f3a427590e0284c36fb
 DIST oslo.middleware-3.23.1.tar.gz 52469 SHA256 fab9a0779ff196020875c7e47e6c36b9d6c9468063645b857e687114e70a8019 SHA512 155f88184216ef18a265b996973b616a3b7a9e52618d95235a396e099bcfb5f51a5dded8e1f039df4d648a0b779c8a6daab9d6b8ff091981c17524a8521ac72a WHIRLPOOL 683d78da63af0d68b6301aa718562cd29f8dc09511df53fb0394311bbda7727edadd975401f81e8ee5c6f35a4e9e8d636bd140b786fec4e7f9c3b0f0015f02e8
 DIST oslo.middleware-3.8.0.tar.gz 39756 SHA256 2d985b238182cf70c1adbe1a041eb96eacde3106751fe2c7f1cd81d57a4dbda2 SHA512 575708b9f19938787d4d42accfbafcd63a9cee0aeb871dc0b3dd504dc4d5f97db27abfcfd7ae56dfc7d68eb670c11f93c1f79d3fd02d30247497614b3f51d80a WHIRLPOOL 2498c2a67ca83214c8512a2a86d78155638a107971d7a98a3534c625138c89f56273ab6dda437399799a6960129f4c7dfa758d2af46ede15813d7614d5db3a6d

diff --git a/dev-python/oslo-middleware/oslo-middleware-3.19.1.ebuild b/dev-python/oslo-middleware/oslo-middleware-3.19.1.ebuild
new file mode 100644
index 00000000000..65ebfa842e3
--- /dev/null
+++ b/dev-python/oslo-middleware/oslo-middleware-3.19.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="Components injected into wsgi pipelines to intercept request/response flows."
+HOMEPAGE="https://pypi.python.org/pypi/oslo.middleware"
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.middleware/oslo.middleware-${PV}.tar.gz"
+S="${WORKDIR}/oslo.middleware-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+PATCHES=(
+
+)
+
+CDEPEND="
+	>=dev-python/pbr-1.6[${PYTHON_USEDEP}]
+	<dev-python/pbr-2.0[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	${CDEPEND}
+	test? (
+		>=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+		>=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+		>=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+		!~dev-python/oslo-sphinx-3.4.0[${PYTHON_USEDEP}]
+		>=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+		>=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+		!~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+		<dev-python/sphinx-1.3.0[${PYTHON_USEDEP}]
+		>=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+		>=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+	)"
+RDEPEND="
+	${CDEPEND}
+	>=dev-python/jinja-2.8[${PYTHON_USEDEP}]
+	>=dev-python/oslo-config-3.14.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-context-2.9.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-utils-3.16.0[${PYTHON_USEDEP}]
+	>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+	>=dev-python/stevedore-1.16.0[${PYTHON_USEDEP}]
+	>=dev-python/webob-1.2.3[${PYTHON_USEDEP}]
+	>=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+	sed -i '/^hacking/d' test-requirements.txt || die
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	nosetests tests/ || die "test failed under ${EPYTHON}"
+}


             reply	other threads:[~2017-04-25 21:07 UTC|newest]

Thread overview: 26+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-04-25 21:06 Matt Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-05-31 20:31 [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-middleware/ Michał Górny
2020-11-25  9:23 Michał Górny
2020-10-17 21:53 Matthew Thode
2020-07-02 23:54 Matthew Thode
2020-06-02 18:40 Matthew Thode
2020-01-13  9:48 Michał Górny
2019-05-11 18:17 Matthew Thode
2018-06-24 15:24 Pacho Ramos
2018-06-18  1:59 Matt Thode
2018-03-31  0:59 Matt Thode
2018-02-17  1:47 Matt Thode
2018-01-05 13:26 Michał Górny
2017-09-28 16:23 Matt Thode
2017-09-28 16:23 Matt Thode
2017-08-27  4:26 Matt Thode
2017-08-02 23:59 Matt Thode
2017-07-06 16:58 Matt Thode
2017-02-27  2:16 Matt Thode
2017-01-26 21:44 Matt Thode
2016-06-04 15:45 Matt Thode
2016-03-29 18:55 Matt Thode
2016-03-25  3:33 Matt Thode
2016-02-28  7:15 Matt Thode
2015-09-04  1:56 Manuel Rüger
2015-09-03 22:00 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1493154400.a2898725e68135d768dc06490c5887ffbc9e8c7d.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox